Bar Class Reference

3D bars (modifed enrichment from QwtPlot3D) More...

`#include <Bar.h>`

Inheritance diagram for Bar:

## Public Member Functions

| Bar ()
| Bar (double rad, bool lines=true, bool filled=true, bool smooth=true)
Qwt3D::Enrichment * | clone () const
void | configure (double rad, bool lines=true, bool filled=true, bool smooth=true)
void | draw (Qwt3D::Triple const &)
void | drawBegin ()
void | drawEnd ()

## Private Attributes

bool | d_draw_lines
bool | d_filled_bars
bool | d_smooth
double | diag_
double | radius_

## Detailed Description

3D bars (modifed enrichment from QwtPlot3D)

## Constructor & Destructor Documentation

## Bar() [1/2]

Bar::Bar | ( |  | ) |

Referenced by clone().

## Bar() [2/2]

Bar::Bar | ( | double | rad,
|  | bool | lines = `true`,
|  | bool | filled = `true`,
|  | bool | smooth = `true`
| ) |  |

## Member Function Documentation

## clone()

Qwt3D::Enrichment* Bar::clone | ( |  | ) | const

inline

References Bar(), configure(), draw(), drawBegin(), and drawEnd().

## configure()

void Bar::configure | ( | double | rad,
|  | bool | lines = `true`,
|  | bool | filled = `true`,
|  | bool | smooth = `true`
| ) |  |

Referenced by clone().

## draw()

void Bar::draw | ( | Qwt3D::Triple const & | pos | ) |

Referenced by clone().

## drawBegin()

void Bar::drawBegin | ( |  | ) |

Referenced by clone().

## drawEnd()

void Bar::drawEnd | ( |  | ) |

Referenced by clone().

## Member Data Documentation

## d_draw_lines

bool Bar::d_draw_lines

private

## d_filled_bars

bool Bar::d_filled_bars

private

## d_smooth

bool Bar::d_smooth

private

## diag_

double Bar::diag_

private

## radius_

double Bar::radius_

private

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/Bar.h
- qtiplot/src/plot3D/Bar.cpp